PDA

View Full Version : Is Yumex Dying?



Boricua
15th November 2008, 05:10 PM
As well as probably many people around here, Yum Extender (aka Yumex) has been my tool of choice for installing/upgrading/uninstalling software. However, I haven't seen yet a F10 version, and according to this site
http://www.ohloh.net/projects/8559,
Yumex is "Decreasing year-over-year development activity" with "Only a single active developer" :eek:. I checked the Forum and found nothing about the subject. The bookmark that I had marking what I guess was Yumex home page,
http://www.yum-extender.org/cms/modules/news/,
is no longer working :eek:.
So, is Yumex slowly dying :confused:. Any updated info about this matter will be apreciated.

bbfuller
15th November 2008, 05:25 PM
Hello Francisco_PR

I have 3 installations of the F10 Preview release here. Like you, I have a preference for Yumex as package manager.

I just used the command:


yum install yumex

and it came in on all three of them.

Hope it works for you.

Boricua
15th November 2008, 05:43 PM
Hello Francisco_PR

I have 3 installations of the F10 Preview release here. Like you, I have a preference for Yumex as package manager.

I just used the command:


yum install yumex

and it came in on all three of them.

Hope it works for you.

Thanks bbfuller. Indeed, yum install yumex is probably the very first command I issue as root after every fresh Fedora install. I'm currently depending on the latest available Yumex, which is built for Fedora 9 but keeps working in Fedora 10 (2.0.4-1.fc9). I was expecting that, at this stage of F10 development, a new Yumex would be available :rolleyes:. Thanks again for responding so quick :).

Boricua
19th November 2008, 05:00 PM
Hmmm, the lack of further feedback regarding this subject is eloquent enough :(. Perhaps it is time to start playing again with apt/synaptic, smart or even the venerable (but never fully convincing) "Add/Remove Software" :rolleyes:.

leigh123linux
19th November 2008, 05:54 PM
Yumex-2.0.5

http://koji.fedoraproject.org/koji/packageinfo?packageID=4276

Boricua
19th November 2008, 07:00 PM
Yumex-2.0.5

http://koji.fedoraproject.org/koji/packageinfo?packageID=4276

Ahh, nice, thanks leigh. I'm still in need to get used to check koji as a last resort :cool:.

jackfruit501
6th December 2008, 07:14 AM
Thanks for the site to download yumex-2.05-3.f10. I hope I can continue with this thread as it is somewhat connected. I can update using yum alone. Yumex does not work. I get a error :

Error Type: <type 'exceptions.IndexError'>
Error Value: list index out of range
File : /usr/share/yumex/yumex.py , line 739, in <module>
mainApp = YumexApplication()
File : /usr/share/yumex/yumex.py , line 446, in __init__
self.setupYum()
File : /usr/share/yumex/yumex.py , line 467, in setupYum
self.yumbase._setupBase()
File : /usr/share/yumex/yumapi.py , line 70, in _setupBase
self.doTsSetup()
File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 86, in doTsSetup
return self._getTs()
File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 101, in _getTs
self._getTsInfo(remove_only)
File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 112, in _getTsInfo
pkgSack = self.pkgSack
File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 592, in <lambda>
pkgSack = property(fget=lambda self: self._getSacks(),
File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 435, in _getSacks
self.repos.populateSack(which=repos)
File : /usr/lib/python2.5/site-packages/yum/repos.py , line 223, in populateSack
self.doSetup()
File : /usr/lib/python2.5/site-packages/yum/repos.py , line 71, in doSetup
self.ayum.plugins.run('postreposetup')
File : /usr/lib/python2.5/site-packages/yum/plugins.py , line 176, in run
func(conduitcls(self, self.base, conf, **kwargs))
File : /usr/lib/yum-plugins/rpm-warm-cache.py , line 31, in postreposetup_hook
if commands[0] in ('upgrade', 'install', 'remove'):

Hope you can help.

Demz
6th December 2008, 07:16 AM
shoulnt need to download it from koji .. its in updates-testing so all you need to do is enable that repo an update yumex

ccrayne
6th December 2008, 11:11 PM
File : /usr/lib/yum-plugins/rpm-warm-cache.py , line 31, in postreposetup_hook
if commands[0] in ('upgrade', 'install', 'remove'):
.

I had the same problem. However, removing the yum-rpm-warm-cache paclage solved the problem.

jackfruit501
7th December 2008, 05:30 PM
Thanks ccrayne. It works.